/*
 * Copyright 2008 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/**
 * <p>Annotations and related classes for configuring OSGi Declarative Services
 * components using the SCR specification in the OSGi Service Compendium.</p>
 * 
 * <p>By convention, the configuration files produced by this package will
 * specify default values implicitly, unless an unspecified value implies
 * a specific meaning.
 * </p>
 */
package org.nakedosgi.annotations;

